Object subclass: #NmNameResolverServer
	instanceVariableNames: 'nameToIpDictionary '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Server-NameResolverServer'!

!NmNameResolverServer methodsFor: 'actions' stamp: 'mu 1/23/2003 19:42'!
getNameResolverCSV
	^ NmCSVReadWriter csvStringFrom: nameToIpDictionary! !

!NmNameResolverServer methodsFor: 'actions' stamp: 'mu 1/23/2003 19:39'!
updateIPAddress: ipAddress of: hostname 
	self nameToIpDictionary at: hostname put: ipAddress.
	^ nil! !


!NmNameResolverServer methodsFor: 'private' stamp: 'MU 10/22/2002 12:43'!
getNameResolverCSVOf: nameResolver
	^nameResolver csvString! !

!NmNameResolverServer methodsFor: 'private' stamp: 'MU 10/22/2002 18:38'!
privateUpdateIPAddress: ipAddress of: hostname 
	NmNameResolver default nameAt: hostname put: ipAddress! !


!NmNameResolverServer methodsFor: 'accessing' stamp: 'mu 1/23/2003 19:35'!
nameToIpDictionary
	nameToIpDictionary ifNil: [nameToIpDictionary _  Dictionary new].
	^nameToIpDictionary! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmNameResolverServer class
	instanceVariableNames: 'default '!

!NmNameResolverServer class methodsFor: 'class initialization' stamp: 'MU 10/22/2002 10:50'!
initialize
	"NmNameResolverServer initialize"
	default _ nil.
	self register.! !


!NmNameResolverServer class methodsFor: 'accessing' stamp: 'MU 10/22/2002 10:50'!
default
	default
		ifNil: [default _ self new].
	^ default! !


!NmNameResolverServer class methodsFor: 'registering server' stamp: 'MU 10/22/2002 18:16'!
register
	| impl serv |
	impl := self default.
	serv := SoapService implementor: impl selector: #getNameResolverCSV.
	serv signature: (SoapServiceSignature name: 'getNameResolverCSV').
	serv targetObjectURI: '/netMorph'.
	SoapServiceHandler default add: serv.

	serv := SoapService implementor: impl selector: #updateIPAddress:of:.
	serv signature: (SoapServiceSignature name: 'updateIPAddress:of:' paramNames: #(#ipAddress #hostname)).
	serv targetObjectURI: '/netMorph'.
	SoapServiceHandler default add: serv! !

NmNameResolverServer initialize!